import request from '@/utils/request'

// 查询转群记录列表
export function listTrans_group(query) {
  return request({
    url: '/produce/manage_sheep/trans_group/list',
    method: 'get',
    params: query
  })
}

// 查询转群记录详细
export function getTrans_group(id) {
  return request({
    url: '/produce/manage_sheep/trans_group/' + id,
    method: 'get'
  })
}

// 新增转群记录
export function addTrans_group(data) {
  return request({
    url: '/produce/manage_sheep/trans_group',
    method: 'post',
    data: data
  })
}

// 修改转群记录
export function updateTrans_group(data) {
  return request({
    url: '/produce/manage_sheep/trans_group',
    method: 'put',
    data: data
  })
}

// 删除转群记录
export function delTrans_group(ids) {
  const idStr = Array.isArray(ids) ? ids.join(',') : String(ids)
  return request({
    url: `/produce/manage_sheep/trans_group/${idStr}`,
    method: 'delete'
  })
}
// 获取羊舍列表
export function listSheepfold() {
  return request({
    url: '/sheepfold_management/sheepfold_management/list',
    method: 'get',
  });
}
